# $Id: fraqtive.spec 3659 2005-10-15 12:51:02Z dries $
# Authority: dries
# Upstream: Michal Mecinski <mimec$wp,pl>

Summary: Draws Mandelbrot and Julia fractals
Name: fraqtive
Version: 0.3.1
Release: 2%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://zeus.polsl.gliwice.pl/~mimec/index.php?id=fraqtive

# Packager: Dries Verachtert <dries@ulyssis.org>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://zeus.polsl.gliwice.pl/~mimec/files/fraqtive-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: kdelibs3-devel, gcc-c++, gettext

%description
Fraqtive is a program for drawing Mandelbrot and Julia fractals. It uses a 
very fast algorithm and generates high quality, smooth images. It is fully 
interactive, allowing for real-time mouse navigation and dynamic generation 
of the Julia fractal preview. OpenGL-rendered 3D view of the fractals is 
also supported.

%prep
%setup

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/fraqtive
%{_datadir}/applnk/Utilities/fraqtive.desktop
%{_datadir}/apps/fraqtive/
%{_datadir}/config/fraqtiverc
%{_datadir}/doc/HTML/*/fraqtive/
%{_datadir}/icons/*/*/apps/fraqtive.png

%changelog
* Sat Jan  2 2010 J. Randall Owens <jrowens@ghiapet.net> - 0.3.1-2
- rebuild for Fedora 12

* Tue Oct 11 2005 Dries Verachtert <dries@ulyssis.org> - 0.3.1-1 - 3659/dries
- Initial package.
